
Foreman - Feature #4927

[RFE] foreman-debug should provide a means for plugins to extend what is collected.

03/27/2014 08:27 PM - Bryan Kearney

Status: Closed   

Priority: Normal   

Assignee: Bryan Kearney   

Category: Packaging   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When a plugin in installed into foreman, it also may want to add additional debug data. The foreman-debug command should support

extensions from plugins.

Associated revisions

Revision 0c93b462 - 03/31/2014 09:10 AM - Bryan Kearney

Fixes #4927 - Extend foreman-debug to look for extensions provided by plugins.

This assumes a directory called /usr/share/foreman/script/foreman-debug.d.

Any *.sh file in there is sourced. The expectation is that plugins would put

files into this locations and can add files or commands as necessary

History

#1 - 03/28/2014 08:30 AM - Dominic Cleal

- Tracker changed from Bug to Feature

- Category set to Packaging

- Status changed from New to Ready For Testing

- Assignee set to Bryan Kearney

- Target version set to 1.8.4

- translation missing: en.field_release set to 4

https://github.com/theforeman/foreman/pull/1333

#2 - 03/31/2014 09:31 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 0c93b4620e4defb20ccaeb1e8381e1743a3a1fd2.

#3 - 04/01/2014 12:54 PM - Lukas Zapletal

Bryan, are you dropping katello-debug from the distribution for Sat6?

If so, this plugin can go away then: https://github.com/sosreport/sosreport/tree/master/sos/plugins/katello.py
